## com.icl.saxon.charcode
Class CP852CharacterSet

    java.lang.Object
      com.icl.saxon.charcode.CP852CharacterSet

All Implemented Interfaces:
  CharacterSet, PluggableCharacterSet

public class CP852CharacterSet
extends java.lang.Object
implements PluggableCharacterSet

This package defines pluggable character set CP852

Constructor Summary
`CP852CharacterSet()`

Method Summary
`java.lang.String` `getEncodingName()` Determine the name of the Java character set encoding to be used
`boolean` `inCharset(int ch)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CP852CharacterSet

    public CP852CharacterSet()

Method Detail

### inCharset

    public final boolean inCharset(int ch)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

### getEncodingName

    public final java.lang.String getEncodingName()

  Description copied from interface: `PluggableCharacterSet`
  Determine the name of the Java character set encoding to be used

  Specified by:
    `getEncodingName` in interface `PluggableCharacterSet`